Subject: Re: 23.0.90; indeterminate X11 "standard dirs"

From: Chong Yidong <[email-masked]>
Date: Wed, 11 Feb 2009 09:31:01 -0500

> So it's not sufficient when configure summarises in the end:
>
>   Where do we find X Windows header files?                Standard dirs
>   Where do we find X Windows libraries?                   Standard dirs
>
> Which are the so-called "standard dirs?"

If you explicitly specify where to find

  ./configure --x-libraries=FOO --x-includes=BAR

then the build process will use that, and the configuration report will
report what you have chosen.  I don't know, off the top of my head,
whether it's possible to extract the information that you want.  It
might be the case that Emacs just lets compiler try to find the header
files and libraries by itself.

I'd prefer not to muck around with the configuration too much during
pretest, but we can look into it after the release.